AnnotationIntrospector.ReferenceProperty
Date: 2016-12-04

com.fasterxml.jackson.databind

## Class AnnotationIntrospector.ReferenceProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty

- Enclosing class:
    AnnotationIntrospector

      public static class AnnotationIntrospector.ReferenceProperty
      extends java.lang.Object

  Value type used with managed and back references; contains type and logic name, used to link related references

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnnotationIntrospector.ReferenceProperty.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationIntrospector.ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t, java.lang.String n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationIntrospector.ReferenceProperty` | `back(java.lang.String name)`
    `java.lang.String` | `getName()`
    `AnnotationIntrospector.ReferenceProperty.Type` | `getType()`
    `boolean` | `isBackReference()`
    `boolean` | `isManagedReference()`
    `static AnnotationIntrospector.ReferenceProperty` | `managed(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationIntrospector.ReferenceProperty

          public AnnotationIntrospector.ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t,
                                                  java.lang.String n)

  - ### Method Detail

    - #### managed

          public static AnnotationIntrospector.ReferenceProperty managed(java.lang.String name)

    - #### back

          public static AnnotationIntrospector.ReferenceProperty back(java.lang.String name)

    - #### getType

          public AnnotationIntrospector.ReferenceProperty.Type getType()

    - #### getName

          public java.lang.String getName()

    - #### isManagedReference

          public boolean isManagedReference()

    - #### isBackReference

          public boolean isBackReference()